//CUESTIONARIO

/***1. Escribir una función en JavaScript que calcule la versión 
que suma en la ecuación cuadrática***/
function cuadratica_suma(a, b, c){
	return ( (-b) + (((b**2)-(4*a*c))**0.5)) / (2*a);
}

/***2. Escribir una función en JavaScript que calcule la versión 
que resta en la ecuación cuadrática***/
function cuadratica_resta(a, b, c){
	return ( (-b) - (((b**2)-(4*a*c))**0.5)) / (2*a);
}

/*** 3. Escribir una función en JavaScript que reciba un id y un string y ponga como innerHTML del elemento
con el id referenciado el valor del string ***/
function setInnerById(p_id, nuevo_inner){
	document.getElementById(p_id).innerHTML = nuevo_inner;
}

/*** 4. Escribir una función en JavaScript que reciba un id, y ponga en el innerHTML del elemento con el id
referenciado un número aleatorio entre 1 y 100 ***/
function aleatorio(limite_inferior, limite_superior) {
	return Math.round(Math.random() * (limite_superior - limite_inferior) + limite_inferior);
}
function setInnerById(p_id){
	document.getElementById(p_id).innerHTML = aleatorio(1,100);
}

/*** 5. Qué significa que las funciones son ciudadanos de primera categoría en JavaScript? Pueden dar algún
ejemplo de ello? ***/
/** Significa que las funciones pueden ser tratadas como variables, es decir, pueden pasarse como parámetro a otra función,
 * puede ser retornada por otra función o puede ser asignada a una variable
 **/

 //recibe como parámetro una variable, que luego será ejecutada como una función
 function primero(funcion){
	console.log("primero primero");
	funcion();
 }
 function segundo(){
	console.log("segundo segundo");
 }
 //La función "segundo" es enviada como parámetro a la función "primero"
 primero(segundo);

